﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TreeFileFolder
{
    public class Entry
    {
        public Entry()
        {
            this.Entries = new ObservableCollection<Entry>();
        }
        public string Name
        {
            get;
            set;
        }
        public string Description
        {
            get;
            set;
        }

        public Uri ImgSource
        {
            get;
            set;
        }

        public bool IsDirectory
        {
            get;
            set;
        }
        public string PathToFile
        {
            get;
            set;
        }
        public ObservableCollection<Entry> Entries
        {
            get;
            set;
        }

    }
}
